org.apache.ignite.internal.managers.systemview.walker

## Class CachePagesListViewWalker

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.walker.CachePagesListViewWalker

All Implemented Interfaces:
  SystemViewRowAttributeWalker<CachePagesListView>

    public class CachePagesListViewWalker
    extends Object
    implements SystemViewRowAttributeWalker<CachePagesListView>

Generated by `org.apache.ignite.codegen.SystemViewRowAttributeWalkerGenerator`. `CachePagesListView` attributes walker.

See Also:
  `CachePagesListView`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.spi.systemview.view.SystemViewRowAttributeWalker

`SystemViewRowAttributeWalker.AttributeVisitor, SystemViewRowAttributeWalker.AttributeWithValueVisitor`

### Field Summary

Fields
`static String` `BUCKET_NUMBER_FILTER` Filter key for attribute "bucketNumber"
`static String` `CACHE_GROUP_ID_FILTER` Filter key for attribute "cacheGroupId"
`static String` `PARTITION_ID_FILTER` Filter key for attribute "partitionId"

### Constructor Summary

Constructors
Constructor and Description
`CachePagesListViewWalker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `count()`
`List<String>` `filtrableAttributes()`
`void` `visitAll(CachePagesListView row, SystemViewRowAttributeWalker.AttributeWithValueVisitor v)` Calls visitor for each row attribute.
`void` `visitAll(SystemViewRowAttributeWalker.AttributeVisitor v)` Calls visitor for each row attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CACHE_GROUP_ID_FILTER

    public static final String CACHE_GROUP_ID_FILTER

Filter key for attribute "cacheGroupId"

See Also:
  Constant Field Values

#### PARTITION_ID_FILTER

    public static final String PARTITION_ID_FILTER

Filter key for attribute "partitionId"

See Also:
  Constant Field Values

#### BUCKET_NUMBER_FILTER

    public static final String BUCKET_NUMBER_FILTER

Filter key for attribute "bucketNumber"

See Also:
  Constant Field Values

### Constructor Detail

#### CachePagesListViewWalker

    public CachePagesListViewWalker()

### Method Detail

#### filtrableAttributes

    public List<String> filtrableAttributes()

Specified by:
  `filtrableAttributes` in interface `SystemViewRowAttributeWalker<CachePagesListView>`
Returns:
  List of filtrable attributes for this system view.

#### visitAll

    public void visitAll(SystemViewRowAttributeWalker.AttributeVisitor v)

Calls visitor for each row attribute.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<CachePagesListView>`
Parameters:
  `v` - Attribute visitor.

#### visitAll

    public void visitAll(CachePagesListView row,
                         SystemViewRowAttributeWalker.AttributeWithValueVisitor v)

Calls visitor for each row attribute. Value of the attribute also provided.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<CachePagesListView>`
Parameters:
  `row` - Row to iterate.
  `v` - Attribute visitor.

#### count

    public int count()

Specified by:
  `count` in interface `SystemViewRowAttributeWalker<CachePagesListView>`
Returns:
  Count of a row properties.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023